Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 31 May 2022 02:00:49 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi 

My order number is 9570533033  and its tracking number is FC051822000296. 

It was supposed get delivered on 18th may 2022 but still i didn't receive it. I called the customer service team on 19th May , 20th May and 23rd May still i didn't get the single call from the delivery team about the delay or issue with the delivery. 

I couldn't able to get the delivery and i am currently worried about the money i paid for my order. I really not feel OK about the situation right now and its its affecting my mental health . 

I really highlighting this to do the needful on immediate basis to take my cancellation request and proceed for my refund. I hope the Splash team will take immediate action to resolve the issue . 

I happy get the feedback on my mobile number +971555271494 or on my mail id 
[email-masked].

Regards, 

Vinoth Kumar https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4397023